petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateFFT

Creates a matrix object that provides FFT via an external package

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateFFT(MPI_Comm comm,PetscInt ndim,const PetscInt dim[],MatType mattype,Mat *A)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - MPI communicator Many br
| ndim | - the ndim-dimensional transform Many br
| dim | - array of size ndim, dim[i] contains the vector length in the i-dimension Many br
| type | - package type, e.g., FFTW or FFTCU Many br

### Output Parameter

A -the matrix Many br

### Options Database Keys

| -mat_fft_type | - set FFT type Many br

Many br

Level:intermediate
Location:src/mat/impls/fft/fft.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages